- Qt 6.10
- Qt Core
- C++ Classes
- QAtomicInt
- Qt 6.10.2 Reference Documentation

# QAtomicInt Class

The QAtomicInt class provides platform-independent atomic operations on int. More...

Header: | `#include <QAtomicInt>`
CMake: | `find_package(Qt6 REQUIRED COMPONENTS Core)` `target_link_libraries(mytarget PRIVATE Qt6::Core)`
qmake: | `QT += core`
Inherits: | QAtomicInteger

- List of all members, including inherited members

## Public Functions

| QAtomicInt(int value = 0)

## Detailed Description

This class is a equivalent to `QAtomicInteger<int>`. All other functionality is equivalent. Please see that class for more information.

See also QAtomicInteger and QAtomicPointer.

## Member Function Documentation

### `[constexpr noexcept]` QAtomicInt::QAtomicInt(int value = 0)

Constructs a QAtomicInt with the given value.